import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
//import { } from 'd3';
import { useData } from './useData';
import { Marks } from './Marks';

//defining dimension space for SVG graphic
const width = 960;
const height = 500;
//using useData() to share data across components depending on hooks
const App = () => {
  const data = useData();
//if data is there, Loading... is displayed
  if (!data) {
    return <pre>Loading...</pre>;
  }

//if data is there, output of SVG will be displayed
  return (
    <svg width={width} height={height}>
        <Marks data={data} width={width} height={height} />
    </svg>
  );
};

//rendering react element by by first passing the DOM element and then passing the React element 
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
