import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

const jsonUrl =
  'https://raw.githubusercontent.com/deldersveld/topojson/master/countries/india/india-states.json';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)
  
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['IND_adm1']),
        	interiors: mesh(topojsonData, topojsonData.objects['IND_adm1'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};